/*
    msnpreferences.cpp - MSN Preferences Widget

    Copyright (c) 2002 by Duncan Mac-Vicar Prett <duncan@kde.org>
    Copyright (c) 2002 by Martijn Klingens       <klingens@kde.org>

    Kopete    (c) 2002 by the Kopete developers  <kopete-devel@kde.org>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#include "msnpreferences.h"

#include <qcheckbox.h>
#include <qlayout.h>

#include <kconfig.h>
#include <kdebug.h>
#include <kglobal.h>
#include <klineedit.h>
#include <klocale.h>
#include <knuminput.h>

MSNPreferences::MSNPreferences( const QString &pixmap, QObject *parent )
: ConfigModule( i18n( "MSN Plugin" ), i18n( "Microsoft Network Protocol" ),
	pixmap, parent )
{
	( new QVBoxLayout( this ) )->setAutoAdd( true );
	preferencesDialog = new msnPrefsUI(this);
	reopen();
}

MSNPreferences::~MSNPreferences()
{
}

void MSNPreferences::reopen()
{
	KGlobal::config()->setGroup("MSN");
/*	preferencesDialog->mServer->setText(
		KGlobal::config()->readEntry( "Server", "messenger.hotmail.com" ) );
	preferencesDialog->mPort->setValue(
		KGlobal::config()->readNumEntry( "Port", 1863 ) );*/
/*	preferencesDialog->mMailNotifications->setChecked(
		KGlobal::config()->readBoolEntry( "MailNotifications", true ) );*/
	preferencesDialog->mNotifyNewChat->setChecked(
		KGlobal::config()->readBoolEntry( "NotifyNewChat", false ) );
	preferencesDialog->mSendAwayMessages->setChecked(
		KGlobal::config()->readBoolEntry( "SendAwayMessages", true ) );
	preferencesDialog->mAwayMessageSeconds->setValue(
		KGlobal::config()->readNumEntry( "AwayMessagesSeconds", 90 ) );
}


void MSNPreferences::save()
{
	KConfig *config=KGlobal::config();
	config->setGroup("MSN");
//	config->writeEntry("Server", preferencesDialog->mServer->text());
//	config->writeEntry("Port", preferencesDialog->mPort->text());
//	config->writeEntry("MailNotifications", preferencesDialog->mMailNotifications->isChecked());
	config->writeEntry("NotifyNewChat", preferencesDialog->mNotifyNewChat->isChecked());
	config->writeEntry("SendAwayMessages", preferencesDialog->mSendAwayMessages->isChecked());
	config->writeEntry("AwayMessagesSeconds", preferencesDialog->mAwayMessageSeconds->value());
	config->sync();
	emit saved();

}

/*bool MSNPreferences::mailNotifications()
{
	KGlobal::config()->setGroup( "MSN" );
	return KGlobal::config()->readBoolEntry( "MailNotifications", true );
}*/

bool MSNPreferences::notifyNewChat()
{
	KGlobal::config()->setGroup( "MSN" );
	return KGlobal::config()->readBoolEntry( "NotifyNewChat", false );
}

#include "msnpreferences.moc"

// vim: set noet ts=4 sts=4 sw=4:

